<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="hrm-attendance" />
    </artifacts-to-build>
  </component>
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="baeb3dfb-5097-46c5-933e-6d1dab18b815" name="Changes" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/ade958e9-d72b-48ba-8be1-0441de7da9a5/entities/entities.dat" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources/ade958e9-d72b-48ba-8be1-0441de7da9a5/entities/entities.dat" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/ade958e9-d72b-48ba-8be1-0441de7da9a5/entities/entities.dat.values" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources/ade958e9-d72b-48ba-8be1-0441de7da9a5/entities/entities.dat.values" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/dataSources/ade958e9-d72b-48ba-8be1-0441de7da9a5/entities/entities.dat.values.s" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/dataSources/ade958e9-d72b-48ba-8be1-0441de7da9a5/entities/entities.dat.values.s" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/WEB-INF/sqllog/ecologysql" beforeDir="false" afterPath="$PROJECT_DIR$/WEB-INF/sqllog/ecologysql" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/log/sdk.log" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/artifacts/hrm_attendance/hrm-attendance.jar" beforeDir="false" afterPath="$PROJECT_DIR$/out/artifacts/hrm_attendance/hrm-attendance.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/cmd/GetScheduleResultListCmd.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/cmd/GetScheduleResultListCmd.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/cmd/getclockInpoint/AdjustByWorkOverTimeCmd.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/cmd/getclockInpoint/AdjustByWorkOverTimeCmd.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/ShiftService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/ShiftService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/AbnormalAttendanceServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/AbnormalAttendanceServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/ShiftServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/ShiftServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/WorkOverTimeServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/WorkOverTimeServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/web/AttendanceanalysisAction.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/web/AttendanceanalysisAction.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/wrapper/AttendanceAnalysisWrapper.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/wrapper/AttendanceAnalysisWrapper.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/wrapper/UpdateAttendanceResultWrapper.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/wrapper/UpdateAttendanceResultWrapper.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/cmd/getclockInpoint/AdjustByWorkOverTimeCmd.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/cmd/getclockInpoint/AdjustByWorkOverTimeCmd.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/service/impl/AbnormalAttendanceServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/service/impl/AbnormalAttendanceServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/service/impl/WorkOverTimeServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/service/impl/WorkOverTimeServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/web/AttendanceanalysisAction.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/engine/attendance/attendanceanalysis/web/AttendanceanalysisAction.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/com/engine/attendance/workflow/service/impl/AllowanceServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/com/engine/attendance/workflow/service/impl/AllowanceServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/test/TestAttendanceAllowance/Test.java" beforeDir="false" afterPath="$PROJECT_DIR$/test/TestAttendanceAllowance/Test.java" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="FxmlFile" />
        <option value="Kotlin Class" />
        <option value="Enum" />
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="GitSEFilterConfiguration">
    <file-type-list>
      <filtered-out-file-type name="LOCAL_BRANCH" />
      <filtered-out-file-type name="REMOTE_BRANCH" />
      <filtered-out-file-type name="TAG" />
      <filtered-out-file-type name="COMMIT_BY_MESSAGE" />
    </file-type-list>
  </component>
  <component name="ProjectId" id="2U96adqKZl9N0O4Pzabp1q9QHuq" />
  <component name="ProjectViewState">
    <option name="showLibraryContents" value="true" />
    <option name="showVisibilityIcons" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DatabaseDriversLRU" value="oracle" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="ToolWindowRun.ShowToolbar" value="false" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="com.intellij.ide.scratch.ScratchImplUtil$2/New Scratch File" value="PLAIN_TEXT" />
    <property name="last_directory_selection" value="$PROJECT_DIR$/src/com/engine/kq" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../../../easyentry" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Artifacts" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.15287958" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="ReactorSettings">
    <option name="notificationShown" value="true" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\项目备份\考勤\hrm-attendance\src" />
      <recent name="D:\项目备份\考勤\hrm-attendance" />
      <recent name="D:\项目备份\考勤\hrm-attendance\workflow\request\hrmattendance" />
      <recent name="D:\项目备份\考勤\hrm-attendance\src\com\engine\jucailin\cmd\personGroup" />
      <recent name="D:\项目备份\考勤\hrm-attendance\src\com\engine\jucailin\web" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\项目备份\考勤\hrm-attendance\src\com\engine\jucailin\cmd\calendar" />
    </key>
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="vocation" />
      <recent name="com.engine.attendance.attendanceanalysis.cmd" />
      <recent name="TestAttendanceAllowance" />
      <recent name="ComprehensiveWorkingHourServiceImpl" />
      <recent name="" />
    </key>
  </component>
  <component name="RunAnythingCache">
    <option name="myCommands">
      <command value="organzationList" />
    </option>
  </component>
  <component name="RunManager" selected="JUnit.Test.testAnalysis">
    <configuration name="TestMain" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="shuju.TestMain" />
      <module name="hrm-attendance" />
      <shortenClasspath name="MANIFEST" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="shuju.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestMethod" type="Application" factoryName="Application" temporary="true" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="TestMethod" />
      <module name="hrm-attendance" />
      <shortenClasspath name="MANIFEST" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="TestObj" type="Application" factoryName="Application" nameIsGenerated="true">
      <option name="MAIN_CLASS_NAME" value="TestObj" />
      <module name="hrm-attendance" />
      <shortenClasspath name="MANIFEST" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <shortenClasspath name="MANIFEST" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Test1.test1" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="hrm-attendance" />
      <shortenClasspath name="MANIFEST" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="vocation.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="vocation" />
      <option name="MAIN_CLASS_NAME" value="vocation.Test1" />
      <option name="METHOD_NAME" value="test1" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Test2.testAnalysis" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="hrm-attendance" />
      <shortenClasspath name="MANIFEST" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="TestAttendanceAllowance.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="TestAttendanceAllowance" />
      <option name="MAIN_CLASS_NAME" value="TestAttendanceAllowance.Test2" />
      <option name="METHOD_NAME" value="testAnalysis" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="Test.testAnalysis" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="hrm-attendance" />
      <shortenClasspath name="MANIFEST" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="TestAttendanceAllowance.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="TestAttendanceAllowance" />
      <option name="MAIN_CLASS_NAME" value="TestAttendanceAllowance.Test" />
      <option name="METHOD_NAME" value="testAnalysis" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <shortenClasspath name="MANIFEST" />
      <option name="TEST_OBJECT" value="class" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.Test.testAnalysis" />
        <item itemvalue="JUnit.Test2.testAnalysis" />
        <item itemvalue="JUnit.Test1.test1" />
        <item itemvalue="Application.TestMain" />
        <item itemvalue="Application.TestMethod" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="baeb3dfb-5097-46c5-933e-6d1dab18b815" name="Changes" comment="" />
      <created>1692339514997</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1692339514997</updated>
      <workItem from="1692339518784" duration="32000" />
      <workItem from="1692340040940" duration="1135000" />
      <workItem from="1692342264650" duration="1045000" />
      <workItem from="1692348427448" duration="165000" />
      <workItem from="1692582006773" duration="86000" />
      <workItem from="1692862486751" duration="1476000" />
      <workItem from="1692867519107" duration="5763000" />
      <workItem from="1692930017581" duration="685000" />
      <workItem from="1692932118593" duration="8584000" />
      <workItem from="1693215733888" duration="1508000" />
      <workItem from="1693217500388" duration="1719000" />
      <workItem from="1693219944225" duration="2791000" />
      <workItem from="1693223734291" duration="38000" />
      <workItem from="1693275621669" duration="2705000" />
      <workItem from="1693289775698" duration="5000" />
      <workItem from="1693389476816" duration="24000" />
      <workItem from="1693455269065" duration="959000" />
      <workItem from="1693475436820" duration="6534000" />
      <workItem from="1693532699817" duration="12509000" />
      <workItem from="1693661235999" duration="594000" />
      <workItem from="1693712928892" duration="14589000" />
      <workItem from="1693792694888" duration="2850000" />
      <workItem from="1693808697903" duration="3366000" />
      <workItem from="1693877386447" duration="9053000" />
      <workItem from="1693964352907" duration="24844000" />
      <workItem from="1694051375998" duration="26412000" />
      <workItem from="1694105584175" duration="591000" />
      <workItem from="1694136883012" duration="27756000" />
      <workItem from="1694396019903" duration="23316000" />
      <workItem from="1694441834842" duration="4431000" />
      <workItem from="1694482304694" duration="38659000" />
      <workItem from="1694568645180" duration="20047000" />
      <workItem from="1694656471239" duration="11646000" />
      <workItem from="1694744114572" duration="6750000" />
      <workItem from="1694768715754" duration="1522000" />
      <workItem from="1695003518158" duration="24104000" />
      <workItem from="1695092772073" duration="3655000" />
      <workItem from="1695096840911" duration="26120000" />
      <workItem from="1695173346187" duration="23490000" />
      <workItem from="1695298552559" duration="1107000" />
      <workItem from="1695303174990" duration="2204000" />
      <workItem from="1695347237495" duration="19376000" />
      <workItem from="1695553511162" duration="1832000" />
      <workItem from="1695567565696" duration="2000" />
      <workItem from="1695605419276" duration="21979000" />
      <workItem from="1695692085116" duration="6447000" />
      <workItem from="1695778505662" duration="3617000" />
      <workItem from="1695792968619" duration="593000" />
      <workItem from="1695809499955" duration="3071000" />
      <workItem from="1695863703718" duration="1212000" />
      <workItem from="1695883451866" duration="2058000" />
      <workItem from="1696567506303" duration="23130000" />
      <workItem from="1696648918530" duration="2443000" />
      <workItem from="1696656774209" duration="3364000" />
      <workItem from="1696728483294" duration="1958000" />
      <workItem from="1696734032928" duration="1465000" />
      <workItem from="1696743147790" duration="2683000" />
      <workItem from="1696815185965" duration="2525000" />
      <workItem from="1696829367590" duration="970000" />
      <workItem from="1696914402478" duration="10222000" />
      <workItem from="1696988336710" duration="1000000" />
      <workItem from="1697001252777" duration="7027000" />
      <workItem from="1697075777172" duration="961000" />
      <workItem from="1697087513828" duration="8223000" />
      <workItem from="1697163082165" duration="765000" />
      <workItem from="1697175141666" duration="7184000" />
      <workItem from="1697420341962" duration="1265000" />
      <workItem from="1697526611270" duration="7126000" />
      <workItem from="1697692534649" duration="17000" />
      <workItem from="1697692567915" duration="18949000" />
      <workItem from="1697766779048" duration="1107000" />
      <workItem from="1697781370605" duration="14040000" />
      <workItem from="1697962164517" duration="4364000" />
      <workItem from="1698027923152" duration="2247000" />
      <workItem from="1698030924575" duration="1073000" />
      <workItem from="1698034198904" duration="479000" />
      <workItem from="1698040998092" duration="1319000" />
      <workItem from="1698042823107" duration="599000" />
      <workItem from="1698044532659" duration="975000" />
      <workItem from="1698052825712" duration="303000" />
      <workItem from="1698074505519" duration="4142000" />
      <workItem from="1698112102229" duration="5413000" />
      <workItem from="1698118737181" duration="1681000" />
      <workItem from="1698125114384" duration="2215000" />
      <workItem from="1698127602580" duration="3070000" />
      <workItem from="1698131838215" duration="1150000" />
      <workItem from="1698133397947" duration="17706000" />
      <workItem from="1698159833013" duration="3153000" />
      <workItem from="1698197882990" duration="7332000" />
      <workItem from="1698211990680" duration="2138000" />
      <workItem from="1698214652467" duration="6152000" />
      <workItem from="1698222529178" duration="4023000" />
      <workItem from="1698247837601" duration="1033000" />
      <workItem from="1698285046951" duration="3271000" />
      <workItem from="1698289093518" duration="763000" />
      <workItem from="1698290043354" duration="1159000" />
      <workItem from="1698300434653" duration="2009000" />
      <workItem from="1698302695697" duration="1620000" />
      <workItem from="1698304471751" duration="1508000" />
      <workItem from="1698306832195" duration="2655000" />
      <workItem from="1698309897387" duration="5163000" />
      <workItem from="1698390288454" duration="13183000" />
      <workItem from="1698469491561" duration="21890000" />
      <workItem from="1698591800387" duration="810000" />
      <workItem from="1698629862640" duration="7694000" />
      <workItem from="1698643545069" duration="14542000" />
      <workItem from="1698682351498" duration="601000" />
      <workItem from="1698716067461" duration="9614000" />
      <workItem from="1698729774142" duration="25056000" />
      <workItem from="1698764177164" duration="6279000" />
      <workItem from="1698802661422" duration="7871000" />
      <workItem from="1698817074470" duration="103000" />
      <workItem from="1698817186422" duration="20092000" />
      <workItem from="1698851593447" duration="598000" />
      <workItem from="1698889582547" duration="4227000" />
      <workItem from="1698903441548" duration="18222000" />
      <workItem from="1698976461966" duration="6519000" />
      <workItem from="1698989798127" duration="10759000" />
      <workItem from="1699077797957" duration="11009000" />
      <workItem from="1699170067846" duration="1000" />
      <workItem from="1699231897173" duration="9180000" />
      <workItem from="1699249312970" duration="13580000" />
      <workItem from="1699277085466" duration="3406000" />
      <workItem from="1699321801125" duration="20823000" />
      <workItem from="1699367317403" duration="2736000" />
      <workItem from="1699409280040" duration="31571000" />
      <workItem from="1699453614678" duration="5113000" />
      <workItem from="1699493679787" duration="8376000" />
      <workItem from="1699508307707" duration="18732000" />
      <workItem from="1699536866149" duration="2893000" />
      <workItem from="1699546555621" duration="3842000" />
      <workItem from="1699581139144" duration="23553000" />
      <workItem from="1699698872978" duration="667000" />
      <workItem from="1699795306178" duration="18557000" />
      <workItem from="1699839546417" duration="10366000" />
      <workItem from="1699852590390" duration="20996000" />
      <workItem from="1699883122404" duration="5093000" />
      <workItem from="1699925326190" duration="8896000" />
      <workItem from="1699940140486" duration="38421000" />
      <workItem from="1700026194548" duration="24782000" />
      <workItem from="1700061652012" duration="859000" />
      <workItem from="1700098710110" duration="34302000" />
      <workItem from="1700146477670" duration="3056000" />
      <workItem from="1700185074002" duration="10574000" />
      <workItem from="1700199508725" duration="4449000" />
      <workItem from="1700227183353" duration="3497000" />
      <workItem from="1700302165324" duration="2382000" />
      <workItem from="1700386918963" duration="14559000" />
      <workItem from="1700443922898" duration="47543000" />
      <workItem from="1700544798039" duration="5043000" />
      <workItem from="1700550368194" duration="19115000" />
      <workItem from="1700617767112" duration="7654000" />
      <workItem from="1700631662957" duration="24095000" />
      <workItem from="1700663022648" duration="5527000" />
      <workItem from="1700704116298" duration="2704000" />
      <workItem from="1700718326275" duration="20611000" />
      <workItem from="1700745310982" duration="5767000" />
      <workItem from="1700790471599" duration="120000" />
      <workItem from="1700792146348" duration="5791000" />
      <workItem from="1700805055640" duration="14860000" />
      <workItem from="1700911912741" duration="3478000" />
      <workItem from="1700922832332" duration="3184000" />
      <workItem from="1701003586645" duration="4138000" />
      <workItem from="1701048701474" duration="25552000" />
      <workItem from="1701135211502" duration="9894000" />
      <workItem from="1701149493079" duration="22234000" />
      <workItem from="1701179622668" duration="4377000" />
      <workItem from="1701221800791" duration="632000" />
      <workItem from="1701222699216" duration="22066000" />
      <workItem from="1701264331898" duration="5291000" />
      <workItem from="1701308939846" duration="763000" />
      <workItem from="1701310015014" duration="19670000" />
      <workItem from="1701344692821" duration="3857000" />
      <workItem from="1701396844222" duration="6519000" />
      <workItem from="1701409172449" duration="14972000" />
      <workItem from="1701657236334" duration="11669000" />
      <workItem from="1701693919320" duration="306000" />
      <workItem from="1701694449827" duration="605000" />
      <workItem from="1701695856893" duration="706000" />
      <workItem from="1701739719725" duration="8782000" />
      <workItem from="1701754178519" duration="13111000" />
      <workItem from="1701782398054" duration="4292000" />
      <workItem from="1701826335733" duration="8249000" />
      <workItem from="1701841441371" duration="25474000" />
      <workItem from="1701913164341" duration="9301000" />
      <workItem from="1701932512214" duration="305000" />
      <workItem from="1701933687860" duration="33000" />
      <workItem from="1701934448139" duration="14080000" />
      <workItem from="1702015977727" duration="1889000" />
      <workItem from="1702041570275" duration="62000" />
      <workItem from="1702091888868" duration="571000" />
      <workItem from="1702260044596" duration="18584000" />
      <workItem from="1702299487315" duration="698000" />
      <workItem from="1702345476899" duration="9027000" />
      <workItem from="1702359471150" duration="24971000" />
      <workItem from="1702387830195" duration="472000" />
      <workItem from="1702431310438" duration="9072000" />
      <workItem from="1702446757969" duration="637000" />
      <workItem from="1702451213820" duration="1078000" />
      <workItem from="1702452488557" duration="9578000" />
      <workItem from="1702467949458" duration="874000" />
      <workItem from="1702518620091" duration="30274000" />
      <workItem from="1702604501544" duration="18857000" />
      <workItem from="1702862913836" duration="22541000" />
      <workItem from="1702950252730" duration="17920000" />
      <workItem from="1703036799853" duration="1956000" />
      <workItem from="1703050450608" duration="6733000" />
      <workItem from="1703071059485" duration="6330000" />
      <workItem from="1703122548150" duration="4366000" />
      <workItem from="1703137084241" duration="13704000" />
      <workItem from="1703208757025" duration="4253000" />
      <workItem from="1703223465716" duration="12093000" />
      <workItem from="1703469101483" duration="11137000" />
      <workItem from="1703552217336" duration="18509000" />
      <workItem from="1703639900804" duration="3358000" />
      <workItem from="1703655988128" duration="11603000" />
      <workItem from="1703679803847" duration="3276000" />
      <workItem from="1703725646594" duration="28628000" />
      <workItem from="1703771887749" duration="1639000" />
      <workItem from="1703811686137" duration="8497000" />
      <workItem from="1703835168171" duration="3122000" />
      <workItem from="1704113096522" duration="1887000" />
      <workItem from="1704158710782" duration="28896000" />
      <workItem from="1704208617961" duration="28000" />
      <workItem from="1704208662225" duration="3489000" />
      <workItem from="1704245679445" duration="45158000" />
      <workItem from="1704331947967" duration="38235000" />
      <workItem from="1704418019602" duration="12095000" />
      <workItem from="1704461183491" duration="932000" />
      <workItem from="1704527808201" duration="6902000" />
      <workItem from="1704605008241" duration="1460000" />
      <workItem from="1704624857172" duration="13062000" />
      <workItem from="1704677723452" duration="30230000" />
      <workItem from="1704725663394" duration="16000" />
      <workItem from="1704764236606" duration="34533000" />
      <workItem from="1704850781225" duration="25349000" />
      <workItem from="1704937221520" duration="25311000" />
      <workItem from="1705023288904" duration="2704000" />
      <workItem from="1705038564539" duration="4577000" />
      <workItem from="1705069359848" duration="2890000" />
      <workItem from="1705282502338" duration="11191000" />
      <workItem from="1705368931066" duration="22302000" />
      <workItem from="1705408127027" duration="1265000" />
      <workItem from="1705454997130" duration="44306000" />
      <workItem from="1705628572363" duration="17959000" />
      <workItem from="1705667466243" duration="1146000" />
      <workItem from="1705816217403" duration="1886000" />
      <workItem from="1705887116206" duration="29639000" />
      <workItem from="1705973725825" duration="27499000" />
      <workItem from="1706014202135" duration="380000" />
      <workItem from="1706061099169" duration="13865000" />
      <workItem from="1706144788773" duration="692000" />
      <workItem from="1706166983296" duration="2199000" />
      <workItem from="1706184350145" duration="1149000" />
      <workItem from="1706497331334" duration="2907000" />
      <workItem from="1706507182461" duration="6688000" />
      <workItem from="1706516273211" duration="5208000" />
      <workItem from="1706576552487" duration="8559000" />
      <workItem from="1706681697750" duration="6494000" />
      <workItem from="1706690789466" duration="2792000" />
      <workItem from="1706842340855" duration="3137000" />
      <workItem from="1706863688648" duration="133000" />
      <workItem from="1707018131330" duration="638000" />
      <workItem from="1707025574105" duration="608000" />
      <workItem from="1707029537643" duration="4683000" />
      <workItem from="1707096626876" duration="7090000" />
      <workItem from="1707184390760" duration="1202000" />
      <workItem from="1707202158129" duration="3801000" />
      <workItem from="1708230615975" duration="9173000" />
      <workItem from="1708305562993" duration="16934000" />
      <workItem from="1708343724931" duration="3164000" />
      <workItem from="1708393114658" duration="15759000" />
      <workItem from="1708435379385" duration="3506000" />
      <workItem from="1708481253866" duration="11483000" />
      <workItem from="1708520200102" duration="1380000" />
      <workItem from="1708524842014" duration="2879000" />
      <workItem from="1708566211526" duration="8710000" />
      <workItem from="1708601853292" duration="1825000" />
      <workItem from="1708652227316" duration="1557000" />
      <workItem from="1708669459480" duration="1574000" />
      <workItem from="1708920958475" duration="39000" />
      <workItem from="1708921010479" duration="9365000" />
      <workItem from="1708949551375" duration="2639000" />
      <workItem from="1708952270403" duration="3303000" />
      <workItem from="1708997755084" duration="1693000" />
      <workItem from="1709001150545" duration="10237000" />
      <workItem from="1709034853130" duration="245000" />
      <workItem from="1709035306210" duration="27000" />
      <workItem from="1709085586029" duration="19632000" />
      <workItem from="1709169508213" duration="4068000" />
      <workItem from="1709184613862" duration="7005000" />
      <workItem from="1709261957490" duration="3640000" />
      <workItem from="1709274348889" duration="14171000" />
      <workItem from="1709529893216" duration="3562000" />
      <workItem from="1709535712477" duration="107000" />
      <workItem from="1709535857245" duration="593000" />
      <workItem from="1709536661261" duration="856000" />
      <workItem from="1709537572719" duration="6496000" />
      <workItem from="1709604043774" duration="4891000" />
      <workItem from="1709623088524" duration="12351000" />
      <workItem from="1709691870567" duration="1252000" />
      <workItem from="1709703596743" duration="8329000" />
      <workItem from="1709779764065" duration="4612000" />
      <workItem from="1709792416797" duration="4992000" />
      <workItem from="1709802465958" duration="2316000" />
      <workItem from="1709811105714" duration="2902000" />
      <workItem from="1709815301217" duration="297000" />
      <workItem from="1709815862647" duration="150000" />
      <workItem from="1709863019450" duration="2347000" />
      <workItem from="1709875430041" duration="4821000" />
      <workItem from="1710135888304" duration="10204000" />
      <workItem from="1710223287061" duration="5127000" />
      <workItem from="1710232174396" duration="2617000" />
      <workItem from="1710245377823" duration="506000" />
      <workItem from="1710295450592" duration="3683000" />
      <workItem from="1710307924702" duration="366000" />
      <workItem from="1710315152144" duration="722000" />
      <workItem from="1710383236542" duration="8378000" />
      <workItem from="1710466387162" duration="18160000" />
      <workItem from="1710739961375" duration="16479000" />
      <workItem from="1710810972459" duration="9810000" />
      <workItem from="1710826488777" duration="3647000" />
      <workItem from="1710830340596" duration="22134000" />
      <workItem from="1710897421350" duration="5656000" />
      <workItem from="1710912514427" duration="11596000" />
      <workItem from="1710984188934" duration="25917000" />
      <workItem from="1711070917436" duration="19301000" />
      <workItem from="1711344507598" duration="4516000" />
      <workItem from="1711419500615" duration="9736000" />
      <workItem from="1711503987509" duration="18566000" />
      <workItem from="1711537146832" duration="4748000" />
      <workItem from="1711589154079" duration="31495000" />
      <workItem from="1711675265773" duration="6499000" />
      <workItem from="1711690112141" duration="1413000" />
      <workItem from="1711693040160" duration="12896000" />
      <workItem from="1711952005002" duration="9518000" />
      <workItem from="1712020250580" duration="29664000" />
      <workItem from="1712065821130" duration="2114000" />
      <workItem from="1712107764009" duration="8487000" />
      <workItem from="1712122093628" duration="7701000" />
      <workItem from="1712137663376" duration="1779000" />
      <workItem from="1712460791770" duration="11290000" />
      <workItem from="1712494547624" duration="2301000" />
      <workItem from="1712539366015" duration="1352000" />
      <workItem from="1712541255335" duration="27965000" />
      <workItem from="1712579434383" duration="8148000" />
      <workItem from="1712625932205" duration="4880000" />
      <workItem from="1712631543852" duration="25091000" />
      <workItem from="1712712249272" duration="6788000" />
      <workItem from="1712726952165" duration="19422000" />
      <workItem from="1712798979811" duration="5690000" />
      <workItem from="1712812681283" duration="23124000" />
      <workItem from="1712885635868" duration="7005000" />
      <workItem from="1712899728990" duration="7469000" />
      <workItem from="1713158776480" duration="17419000" />
      <workItem from="1713230394234" duration="7819000" />
      <workItem from="1713245093631" duration="18383000" />
      <workItem from="1713316973682" duration="6367000" />
      <workItem from="1713331602706" duration="17751000" />
      <workItem from="1713403621962" duration="26362000" />
      <workItem from="1713490296383" duration="16659000" />
      <workItem from="1713764031764" duration="21292000" />
      <workItem from="1713837556859" duration="29446000" />
      <workItem from="1713885480520" duration="764000" />
      <workItem from="1713922130736" duration="20000" />
      <workItem from="1713922165552" duration="18908000" />
      <workItem from="1713960431645" duration="6431000" />
      <workItem from="1714008198769" duration="30659000" />
      <workItem from="1714094941540" duration="1416000" />
      <workItem from="1714099351418" duration="16385000" />
      <workItem from="1714222157697" duration="23000" />
      <workItem from="1714222603317" duration="2289000" />
      <workItem from="1714360825186" duration="2936000" />
      <workItem from="1714368882623" duration="12755000" />
      <workItem from="1714442011339" duration="4482000" />
      <workItem from="1714455164627" duration="16312000" />
      <workItem from="1714972859410" duration="21508000" />
      <workItem from="1715002142441" duration="2792000" />
      <workItem from="1715044911132" duration="20911000" />
      <workItem from="1715082829519" duration="2495000" />
      <workItem from="1715131468573" duration="3115000" />
      <workItem from="1715146526589" duration="7186000" />
      <workItem from="1715219808515" duration="15358000" />
      <workItem from="1715249803583" duration="311000" />
      <workItem from="1715250233725" duration="2354000" />
      <workItem from="1715304901078" duration="6497000" />
      <workItem from="1715318983890" duration="15003000" />
      <workItem from="1715391275306" duration="7358000" />
      <workItem from="1715406393526" duration="7053000" />
      <workItem from="1715414317145" duration="8285000" />
      <workItem from="1715577518625" duration="5016000" />
      <workItem from="1715584285304" duration="15058000" />
      <workItem from="1715649887756" duration="7330000" />
      <workItem from="1715658587543" duration="18717000" />
      <workItem from="1715736226086" duration="1413000" />
      <workItem from="1715742238742" duration="2752000" />
      <workItem from="1715750795223" duration="1391000" />
      <workItem from="1715752378133" duration="18584000" />
      <workItem from="1715822142239" duration="6885000" />
      <workItem from="1715837102628" duration="19500000" />
      <workItem from="1715909515931" duration="5482000" />
      <workItem from="1715923672642" duration="9625000" />
      <workItem from="1716168995101" duration="7106000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="java-exception">
          <properties class="java.util.NoSuchElementException" package="java.util" />
          <option name="timeStamp" value="18" />
        </breakpoint>
        <breakpoint enabled="true" type="java-exception">
          <properties class="java.util.ConcurrentModificationException" package="java.util" />
          <option name="timeStamp" value="19" />
        </breakpoint>
        <breakpoint enabled="true" type="java-exception">
          <properties class="java.lang.ArithmeticException" package="java.lang" />
          <option name="timeStamp" value="54" />
        </breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/com/engine/attendance/vacation/job/holidaygeneration/tactics/SinglePaymentInFullWay.java</url>
          <line>280</line>
          <option name="timeStamp" value="99" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/AllowanceServiceImpl.java</url>
          <line>26</line>
          <option name="timeStamp" value="127" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/wrapper/UpdateAttendanceResultWrapper.java</url>
          <line>122</line>
          <option name="timeStamp" value="130" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/web/AttendanceanalysisAction.java</url>
          <line>157</line>
          <option name="timeStamp" value="142" />
        </line-breakpoint>
        <line-breakpoint enabled="true" type="java-line">
          <url>file://$PROJECT_DIR$/src/com/engine/attendance/attendanceanalysis/service/impl/ShiftServiceImpl.java</url>
          <line>204</line>
          <option name="timeStamp" value="143" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
    <pin-to-top-manager>
      <pinned-members>
        <PinnedItemInfo parentTag="java.util.HashMap$Node" memberName="value" />
      </pinned-members>
    </pin-to-top-manager>
    <watches-manager>
      <configuration name="JUnit">
        <watch expression="clcokInTimeData" />
      </configuration>
      <configuration name="Application">
        <watch expression="((java.util.ArrayList)clcokInTimeData).get(1)" custom="java.util.ArrayList" />
        <watch expression="afterClcokInTimeData" />
        <watch expression="((HashMap.Node)((HashMap)beforeClcokInTimeData).entrySet().toArray()[0]).getValue()" custom="java.util.HashMap.Node,java.util.HashMap" />
        <watch expression="clcokInTimeData" />
        <watch expression="afterClcokInTimeData" />
      </configuration>
    </watches-manager>
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/hrm_attendance$Test_testAnalysis.ic" NAME="Test.testAnalysis Coverage Results" MODIFIED="1716174480378" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>TestAttendanceAllowance.*</FILTER>
    </SUITE>
    <SUITE FILE_PATH="coverage/hrm_attendance$Test1_test1.ic" NAME="Test1.test1 Coverage Results" MODIFIED="1714384548356" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="idea" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false">
      <FILTER>vocation.*</FILTER>
    </SUITE>
  </component>
</project>